当前位置: 主页 > Linux安装教程 > 常见问题 >

针对英特尔漏洞,Linux发布了安全更新

时间:2018-09-24 03:00来源:网络整理 作者:Linux先生 举报 点击:
前几日,英特尔 CPU存在重大安全漏洞被传的沸沸扬扬,据悉,这一漏洞能够导致黑客访问到个人电脑内核访问的内存数据,其中包括用户账号密码、应用程序文件,文件

  【IT168 评论】前几日,英特尔 CPU存在重大安全漏洞被传的沸沸扬扬,据悉,这一漏洞能够导致黑客访问到个人电脑内核访问的内存数据,其中包括用户账号密码、应用程序文件,文件缓存等。

针对英特尔漏洞,Linux发布了安全更新


  这个漏洞被命名为“Meltdown”,在Linux中的解决方案是通过名为Kernel Page Table的补丁集为Intel x86-64体系结构提供内核隔离,强制内核和用户空间几乎完全分离address maps和防止攻击。

  当然,这个解决方法会对性能有一些影响,可以在启动时通过将`pti = off'传递给内核来禁用命令行。

  同时,Linux还使用vsyscall interface确定了老用户的regression,例如使用(e)glibc 2.13及更高版本的chroot和容器,包括基于Debian 7或RHEL / CentOS 6的。这个regression将会在稍后的更新中进行修复。

  与此同时发布的其他漏洞(名为Specter)在这次更新中没有修复,也会在后续的更新中修复。

  针对oldstable distribution (jessie)问题,则会单独进行修复更新。

  而stable distribution (stretch)则在4.9.65-3+deb9u2版本中得到了修复。

  建议大家尽快升级Linux软件包。有关linux的详细安全状态,请参阅其安全跟踪页面:https://security-tracker.debian.org/tracker/linux

推荐内容